Infra APIBuild
Cancel a build job
Flags the job for cancellation (or cancels it outright if still queued). Idempotent on a terminal job.
POST
/api/v1/build/jobs/{id}/cancelFlags the job for cancellation (or cancels it outright if still queued). Idempotent on a terminal job.
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
id*string
Build job id
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/build/jobs/string/cancel"{ "cancel_requested": true, "commit_sha": "string", "error": "string", "exit_code": 0, "finished_at": "string", "git_ref": "string", "id": "string", "organization_id": "string", "queued_at": "string", "repo_url": "string", "started_at": "string", "status": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}